CUNY Academic Commons - Feature #2924

Make header of Help blog a clickable link to the homepage
2013-12-08 07:43 AM - Matt Gold

Status: Resolved Start date: 2013-12-08
Priority name: Normal Due date: 2014-03-11
Assignee: Dominic Giglio % Done: 0%
Category name: WordPress (misc) Estimated time: 0.00 hour
Target version: 1.7.4

Deployment actions:

Description

Dom, can you please help Scott make the Commons logo on the Help site - http:/help.commons.gc.cuny.edu/ - a clickable link to the
homepage of the Commons? Many thanks.

Related issues:
Related to CUNY Academic Commons - Feature #2080: Upgrade Woo Canvas to Curre... Resolved 2012-08-28 2014-03-11

History

#1 - 2013-12-08 10:53 AM - scott voth

- Assignee changed from Daniel Bachhuber to Dominic Giglio

Hi Dom - | think this will probably entail create a child theme of Canvas that has a header with two links - one to to the Home page and the second to
Help & Support, unless you have a better solution.

#2 - 2013-12-08 11:12 AM - Matt Gold

Oops! thanks for correcting the assignee, Scott.

#3 - 2013-12-08 01:19 PM - Dominic Giglio

- Target version set to 1.5.11

Scott,

It appears that you are correct. Because this is a WooTheme (Canvas) we will probably need to customize the functionality through a child. Premium
themes, like those from Woo, are awesome for getting up and running quickly and then having really nice customization features in the admin once
the site is running. But, like any framework, you are then required to work within the constraints created by the framework (I run into this when
developing on Ralils all the time).

The current logo in that header is not just an image, it is set as the CSS background for the header area within the Canvas theme's admin settings.
This is why we can't just "make it a link." We will need to override the header area in a child theme and manually create our own version so that we
can keep a link to the Help site's homepage (which is the link on the right-hand side right now) as well as a link to the commons home page using our
logo on the left.

| think we should take this opportunity to close out issue #2080 (Upgrade Woo Canvas to Current Version) since we've received the budget money
that that issue has been waiting for. | believe customizing the old version currently installed through a child theme will make closing that issue much
harder. We should upgrade your theme, then see if there are any new Woo features that will allow us to create a link in the header - and if not we can
then whip up a quick child theme and customize it manually if need be.

#4 - 2013-12-11 01:05 PM - Dominic Giglio
- Target version changed from 1.5.11 to 1.5.12

#5 - 2013-12-21 07:26 PM - Dominic Giglio
- Target version changed from 1.5.12t0 1.5.13

#6 - 2014-01-02 02:55 PM - Boone Gorges
- Target version changed from 1.5.13 to 1.5.14

#7 - 2014-01-12 05:03 PM - Boone Gorges
- Target version changed from 1.5.14 to 1.5.15
#8 - 2014-01-21 03:16 PM - Dominic Giglio
- Target version changed from 1.5.15t0 1.5.16

#9 - 2014-02-01 03:37 PM - Boone Gorges
- Target version changed from 1.5.16 to 1.5.17

#10 - 2014-02-11 07:29 PM - Boone Gorges
- Target version changed from 1.5.17 to 1.5.18

#11 - 2014-02-20 10:44 PM - Boone Gorges
- Target version changed from 1.5.18 to 1.5.19

#12 - 2014-03-01 02:48 PM - Boone Gorges
- Target version changed from 1.5.19 to 1.5.20

#13 - 2014-03-01 04:36 PM - Matt Gold
Let's definitely try to make this part of 1.5.20. Thanks, Dom!

#14 - 2014-03-01 04:37 PM - Matt Gold
- Due date set to 2014-03-11

#15 - 2014-03-12 01:29 PM - Boone Gorges
- Target version changed from 1.5.20 to 1.5.21

#16 - 2014-03-24 11:05 AM - Boone Gorges
- Target version changed from 1.5.21 to 1.5.22

#17 - 2014-04-01 10:40 PM - Boone Gorges
- Target version changed from 1.5.22 to 169

#18 - 2014-04-09 01:36 PM - Boone Gorges

- Target version changed from 169 to 1.6.1

#19 - 2014-04-21 04:50 PM - Boone Gorges

- Target version changed from 1.6.1 to 1.6.2

#20 - 2014-05-01 03:04 PM - Boone Gorges

- Target version changed from 1.6.2 to 1.6.3

#21 - 2014-05-01 08:17 PM - Boone Gorges

- Tracker changed from Bug to Feature

#22 - 2014-05-12 02:54 PM - Boone Gorges

- Target version changed from 1.6.3 to 1.6.4

#23 - 2014-05-21 11:05 PM - Boone Gorges

- Target version changed from 1.6.4 to 1.6.5

#24 - 2014-06-01 08:29 PM - Boone Gorges

- Target version changed from 1.6.5 to 1.6.6

#25 - 2014-06-03 04:30 PM - Dominic Giglio
- File Screen Shot 2014-06-03 at 4.23.24 PM.png added

Scott,

Not sure if you're still on vacation, I'll just wait to hear from you whenever you're back or can respond. I've finally gotten around to addressing this
issue for you. I've created a child theme that will be available to you in the Admin after the next release. I've overridden the woo_logo() function, which
is responsible for rendering the contents of the Canvas header, to also display an image back to the Commons homepage as an image.

I'm attaching a screenshot so you can see what it looks like on my local machine to let me know what you think. I'm not sure why the rest of the page
layout/styling is off/broken, but that shouldn't be a problem seeing as you're running the latest Canvas version on the live site and it's working without
issue. There are probably associated files that don't exist in my environment - could even be as simple as my local environment does not have the
same set of plugins activated.

Let me know if this is satisfactory or if you want further changes made before the next release.

#26 - 2014-06-04 12:31 PM - Matt Gold

Thanks very much for your work on this, Dom.

#27 - 2014-06-11 09:23 PM - Boone Gorges

- Target version changed from 1.6.6 to 1.6.7

#28 - 2014-06-21 09:30 PM - Boone Gorges

- Target version changed from 1.6.7 to 1.6.8

#29 - 2014-06-22 02:53 PM - scott voth

Hi Dom -

Sorry | missed this (was in la-la, jet-lag land, | think). Thanks for following up. Can I try to configure the child theme on a test site to confirm
everything is OK? | tried to install it - but realize | don't know what it's called. Can you provide the child theme's name? Or maybe | don't have
access to it yet? Thanks!

#30 - 2014-07-01 11:56 AM - Dominic Giglio
No need to apologize Scott, I'm the one causing this issue to take forever! :-)
We should definitely take a look at the theme on a test site first. Do you have an existing test site in mind? Are you going to create a new one?

The name of the theme is: "Help and Support Canvas." Let me know which test site you would like to try it out on and | will enable it on that site. Once
we know it's working | will enable it on the official Help and Support site.

Hope you had a great vacation, looking forward to finally trying to complete this for you.

#31 - 2014-07-02 09:33 AM - scott voth

Thanks Dom! | have created a new test site called http:/testhelp.commons.gc.cuny.edu/
Can you activate the child theme on this one? Thanks!

#32 - 2014-07-02 11:51 AM - Boone Gorges

- Target version changed from 1.6.8 to 1.6.9

#33 - 2014-07-02 01:16 PM - Dominic Giglio
Scott,

I've enable (not activated) the new "Help and Support Canvas" child theme on the new test site. | didn't want to activate it for you. Just go into the
dashboard and you can find the new child in the themes admin page.

Let me know how the testing goes. Canvas is a pretty advanced theme, | could very well have missed something or configured the child incorrectly.
Now that we've got the child in there, we should be able to wrap this up in no time.

#34 - 2014-07-02 09:39 PM - scott voth

Hi Dom -

| was able to activate the child theme, and | imported content over from the prod site. It looks like there is an issue with the header - probably
something simple like a missing div or something - but the site name is getting pushed down (should be on same level with the CAC logo), and the
primary navigation is also getting pushed below the header. | disabled the slider, which was also feeling the affects, so we can better analyze the
issue. If you can take a look that would be great. Here is the link - http://testhelp.commons.gc.cuny.edu

Thanks.

#35 - 2014-07-11 08:38 PM - Boone Gorges

- Target version changed from 1.6.9 to 1.6.10

#36 - 2014-07-22 09:09 PM - Boone Gorges
- Target version changed from 1.6.10to 1.6.11

#37 - 2014-08-01 11:47 PM - Boone Gorges
- Target version changed from 1.6.11 to 1.6.12

#38 - 2014-08-11 09:41 PM - Boone Gorges
- Target version changed from 1.6.12to 1.6.13

#39 - 2014-08-21 09:12 PM - Boone Gorges
- Target version changed from 1.6.13 to 1.6.14

#40 - 2014-09-01 09:39 PM - Boone Gorges
- Target version changed from 1.6.14 to 1.6.15

#41 - 2014-09-11 02:31 PM - Boone Gorges
- Target version changed from 1.6.15to0 1.6.16

#42 - 2014-09-14 05:30 PM - scott voth

Hi Dom - | did some more work on this today and got the styling pretty good now, but am still having the issue of the menu getting pushed down into
the content area. The slider too seems to be reacting to the issue. (I turned it off for now.)

Now that you are back from vacation - can you take a look - or maybe we can take a look together at this Friday's meeting? Thanks a lot.

Here's the link: http:/testhelp.commons.gc.cuny.edu

#43 - 2014-09-21 09:38 PM - Boone Gorges
- Target version changed from 1.6.16 to 1.6.17

#44 - 2014-09-21 09:40 PM - Matt Gold

Hi Dom -- did you and Scott make any headway on this last Friday in our meeting?

#45 - 2014-10-01 10:17 PM - Boone Gorges

- Target version changed from 1.6.17 to 1.7.1
#46 - 2014-10-09 05:35 PM - Dominic Giglio
Scott,

I think I've got this figured out. | won't bore you with the technical details, but basically my child theme wasn't pulling all the required styes from the
Canvas parent. That was what was throwing off our layout while testing.

I've pushed up some new code, our next release is on Saturday. So lets have a look at your testhelp.commons.gc.cuny.edu site Saturday or Sunday

to see if this new code takes care of it. We may need one more round to add custom CSS if we can't add the appropriate styles in the Dashboard -
but | think this code gets us REALLY close.

#47 - 2014-10-21 02:50 PM - Boone Gorges

Dom - Now that the latest updates have been on the Commons for a while, can we try to get this ticket closed?
#48 - 2014-10-21 02:53 PM - Dominic Giglio
Definitely. Scott is taking a look at the styling and layout now so we can decide if the new structure is appropriate.

| placed the two new header links inside of a column class provided by Canvas and | asked Scott if that was what he wanted or if he'd rather | place
them next to each other so we can style them more easily with custom CSS in the Dashboard.

As soon as | hear from him | can make any changes he needs or close out this ticket if he's good to go.

#49 - 2014-10-21 03:02 PM - Boone Gorges

- Target version changed from 1.7.1to 1.7.2
#50 - 2014-10-21 09:09 PM - scott voth

Hi Dom - Sorry | was preoccupied with other stuff, but | just got a chance to format the test site using the new child theme and everything looks great!
On my end, | need get the slider image heights consistent, but | can work on that (Canvas seems to have changed some stuff.)
So how do we go forward? There are actually two sites that need to use the child theme (http:/codex.commons.gc.cuny.edu/ and
http://help.commons.gc.cuny.edu/). And once we shift over, it seems like there might be some customization on my end.

Can you make the child theme available to me, so | can switch it on and off as | configure the two sites?
Thanks!

#51 - 2014-11-01 02:59 PM - Boone Gorges

- Target version changed from 1.7.2t0 1.7.3

#52 - 2014-11-04 12:28 PM - Dominic Giglio

Scott, I've enabled the "Help and Support Canvas" child theme on both the Help and Codex sites so you can switch back and forth on your own now.
If you create any test sites that need the theme enabled just let me know here and I'll turn it on.

When we release next week, on the 11th, lets revisit this ticket and close it out if you have no further issues. We can always open more tickets in the
future if we need to continue working on this.

#53 - 2014-11-11 08:14 PM - Boone Gorges

- Target version changed from 1.7.3 to 1.7.4

#54 - 2014-11-14 04:35 PM - Dominic Giglio

- Status changed from Assigned to Resolved

This one's for you Boone. RESOLVED!

Files

Screen Shot 2014-06-03 at 4.23.24 PM.png 221 KB 2014-06-03 Dominic Giglio
